private-test-cloud
2.2510
true
- Démarrage
- Authentification
- Étendues et autorisations
- API de gestion de plate-forme
Important :
La localisation du contenu nouvellement publié peut prendre 1 à 2 semaines avant d’être disponible.
Guide de l'API Test Cloud privé
Renvoie tous les groupes locaux et intégrés d'une organisation, en fonction de l'ID de l'organisation.
Point de terminaison de l’API
GET https://{yourDomain}/{organizationName}/identity_/api/Group/{partitionGlobalId}
Étendues
Nécessite les étendues suivantes :
- PM.Group
- PM.Group.Read
En-têtes de requête.
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Remarque :
Pour obtenir le {access_token}, assurez-vous de vous authentifier via l'une des méthodes décrites dans Méthodes d'authentification.
Paramètres de chemin d'accès
| Paramètre du chemin d'accès | Type de données | Description |
|---|---|---|
partitionGlobalId (requis) | Chaîne de caractères (string) | L'ID de l'organisation pour laquelle vous souhaitez récupérer les groupes. |
Réponses
200 OK
Renvoie les événements d'audit demandés.
Exemple de requête
Supposons que vous ayez rassemblé toutes les informations nécessaires pour créer l'appel d'API.
- Votre
{baseURL}est :https://{yourDomain}/{organizationName}/identity_ - Votre
{access_token}est :1234(pour des considérations de longueur). - Le
{partitionGlobalId}est :3fa85f64-5717-4562-b3fc-2c963f66afa6
L’appel doit ressembler à l’exemple suivant (cURL) :
curl --location --request GET 'https://{yourDomain}/{organizationName}/identity/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://{yourDomain}/{organizationName}/identity/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
Voici la réponse pour un appel réussi :
[
{
"id": "ce684f6f-5af3-4e43-8516-1adad6e98fc9",
"name": "Everyone",
"displayName": "Everyone",
"type": 0,
"creationTime": "2021-10-13T18:37:26.6025799",
"lastModificationTime": "2021-10-13T18:37:26.6025799",
"members": []
},
{
"id": "35551807-06b1-4cda-90a1-2fb84851eee7",
"name": "Administrators",
"displayName": "Administrators",
"type": 0,
"creationTime": "2021-10-13T18:37:26.602463",
"lastModificationTime": "2021-10-13T18:37:26.6024632",
"members": []
},
{
"id": "9577fe24-a113-4f53-a1b5-8acbcd803c39",
"name": "DaniC",
"displayName": "DaniC",
"type": 1,
"creationTime": "2021-10-14T18:17:14.0952117",
"lastModificationTime": "2021-10-14T18:17:28.6967052",
"members": [
{
"objectType": "DirectoryUser",
"firstName": "Hermione",
"lastName": "Granger",
"jobTitle": null,
"companyName": null,
"city": null,
"department": null,
"displayName": "Hermione Granger",
"source": "local",
"identifier": "ce07aff0-79fc-4f4f-af38-299880191695",
"name": "Hermione",
"email": "hermione@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Harry",
"lastName": "Potter",
"jobTitle": null,
"companyName": null,
"city": null,
"department": null,
"displayName": "Harry Potter",
"source": "local",
"identifier": "ea23b7d6-c7bc-4fc2-9ec9-4613e3365d8a",
"name": "Harry",
"email": "harry@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Ron",
"lastName": "Weasley",
"jobTitle": null,
"companyName": null,
"city": null,
"department": null,
"displayName": "Ron Weasley",
"source": "local",
"identifier": "ecde4791-a7f3-4fd8-9fa7-b37511e4e019",
"name": "Ron",
"email": "ron@hogwarts.com"
}
]
},
{
"id": "4d161738-7204-4794-b839-8f7fed28366c",
"name": "Automation Developers",
"displayName": "Automation Developers",
"type": 0,
"creationTime": "2021-10-13T18:37:26.6025676",
"lastModificationTime": "2021-10-13T18:37:26.6025676",
"members": []
}
]
[
{
"id": "ce684f6f-5af3-4e43-8516-1adad6e98fc9",
"name": "Everyone",
"displayName": "Everyone",
"type": 0,
"creationTime": "2021-10-13T18:37:26.6025799",
"lastModificationTime": "2021-10-13T18:37:26.6025799",
"members": []
},
{
"id": "35551807-06b1-4cda-90a1-2fb84851eee7",
"name": "Administrators",
"displayName": "Administrators",
"type": 0,
"creationTime": "2021-10-13T18:37:26.602463",
"lastModificationTime": "2021-10-13T18:37:26.6024632",
"members": []
},
{
"id": "9577fe24-a113-4f53-a1b5-8acbcd803c39",
"name": "DaniC",
"displayName": "DaniC",
"type": 1,
"creationTime": "2021-10-14T18:17:14.0952117",
"lastModificationTime": "2021-10-14T18:17:28.6967052",
"members": [
{
"objectType": "DirectoryUser",
"firstName": "Hermione",
"lastName": "Granger",
"jobTitle": null,
"companyName": null,
"city": null,
"department": null,
"displayName": "Hermione Granger",
"source": "local",
"identifier": "ce07aff0-79fc-4f4f-af38-299880191695",
"name": "Hermione",
"email": "hermione@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Harry",
"lastName": "Potter",
"jobTitle": null,
"companyName": null,
"city": null,
"department": null,
"displayName": "Harry Potter",
"source": "local",
"identifier": "ea23b7d6-c7bc-4fc2-9ec9-4613e3365d8a",
"name": "Harry",
"email": "harry@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Ron",
"lastName": "Weasley",
"jobTitle": null,
"companyName": null,
"city": null,
"department": null,
"displayName": "Ron Weasley",
"source": "local",
"identifier": "ecde4791-a7f3-4fd8-9fa7-b37511e4e019",
"name": "Ron",
"email": "ron@hogwarts.com"
}
]
},
{
"id": "4d161738-7204-4794-b839-8f7fed28366c",
"name": "Automation Developers",
"displayName": "Automation Developers",
"type": 0,
"creationTime": "2021-10-13T18:37:26.6025676",
"lastModificationTime": "2021-10-13T18:37:26.6025676",
"members": []
}
]